Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class HistorialEstadoPlazaDbHelper
    Inherits DbHelper(Of HistorialEstadoPlaza,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListHistorialEstadoPlazaByEstadoPlaza(ByVal idEstado as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of HistorialEstadoPlaza)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idEstado = idEstado
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListHistorialEstadoPlazaByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of HistorialEstadoPlaza)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idPlaza = idPlaza
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
